---
- name: Install docker
  gather_facts: No
  hosts: default
  remote_user: arquitectura
  become: yes

  tasks:
    - name: upgrade all packages
      yum:
        name: '*'
        state: latest
        use_backend: yum

    - name: Install required pkgs
      yum:
        name: "{{item}}"
        state: latest
        use_backend: yum
      with_items:
        - yum-utils
        - device-mapper-persistent-data
        - lvm2
        - epel-release
        - python-pip


    - name: Add Docker repo
      get_url:
        url: https://download.docker.com/linux/centos/docker-ce.repo
        dest: /etc/yum.repos.d/docer-ce.repo

    - name: Enable Docker Edge repo
      ini_file:
        dest: /etc/yum.repos.d/docer-ce.repo
        section: 'docker-ce-edge'
        option: enabled
        value: 0

    - name: Enable Docker Test repo
      ini_file:
        dest: /etc/yum.repos.d/docer-ce.repo
        section: 'docker-ce-test'
        option: enabled
        value: 0

    - name: Install Docker
      package:
        name: docker-ce
        state: latest

    - name: Start Docker service
      service:
        name: docker
        state: started
        enabled: yes

    - name: Add user arquitectura to docker group
      user:
        name: arquitectura
        groups: docker
        append: yes

    - name: Install docker-compose
      pip:
        name: docker-compose

    - name: upgrade python
      yum:
        name: 'python*'
        state: latest
        use_backend: yum